Get Eligible Merchants

Retrieve national merchants data that a specified user has eligible national offers at. Call this endpoint to build out your [targeted offers UX experience](https://github.com/kard-financial/kard-postman?tab=readme-ov-file#b-targeted-offers). Local merchants and offers details can be found by calling the [Get Eligible Locations](/legacy/api/rewards/locations/get-locations-by-user) endpoint with the `includeLocal` query parameter.<br/> <b>Required scopes:</b> `rewards:read`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

referringPartnerUserIdstringRequired
Referring partner user ID from issuer that specifies user

Query parameters

pageintegerOptional

Page number [>= 0], (default = 0)

limitintegerOptional

Maximum number of merchants to be returned [1 - 200], (default = 200)

categoryenumOptional

Category of merchant. Please use URL Encode for non single word categories. (Food & Beverage should be Food%20%26%20Beverage)

Response

This endpoint returns a list of objects.
_idstring
Merchant ID in Kard's system
acceptedCardslist of enums
Allowed values:
categoryenum
Category of merchant
createdDatedatetime

Created date of merchant in Kard’s system (UTC)

descriptionstring

Merchant description - usually a blurb outlining more details about the merchant

lastModifieddatetime

Last modified date of merchant in Kard’s system (UTC)

namestring
Merchant name
offerslist of objects
Offers associated to the merchant
sourceenum
Merchant source
Allowed values:
websiteURLstring
Merchant's URL website
imgUrlstringDeprecated

[Deprecated — Please use imgUrl on the offer object which contain attribution tokens]. Merchant image asset URL

bannerImgUrlstringDeprecated

[Deprecated — Please use bannerImgUrl on the offer object which contain attribution tokens]. Merchant banner image asset URL

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error